Skip to main content
GET
/
api
/
v3
/
store
/
markets
/
{market_id}
/
countries
/
{id}
Spree SDK
import { createSpreeClient } from '@spree/sdk'

const client = createSpreeClient({
  baseUrl: 'https://your-store.com',
  publishableKey: '<api-key>',
})

const country = await client.store.markets.countries.get('mkt_xxx', 'DE')
{
  "iso": "US",
  "iso3": "USA",
  "name": "United States of America",
  "states_required": true,
  "zipcode_required": true
}

Authorizations

x-spree-api-key
string
header
required

Publishable API key for store access

Headers

x-spree-api-key
string
required

Path Parameters

market_id
string
required

Market prefixed ID

id
string
required

Country ISO 3166-1 alpha-2 code (e.g., "DE")

Query Parameters

fields
string

Comma-separated list of fields to include (e.g., name,slug,price). id is always included.

Response

country found

The response is of type object.